Resource URL
| Type | URL and Format |
|---|---|
| POST | https://public-api.wordpress.com/rest/v1/sites/$site/posts/$post_ID/reblogs/new |
Method Parameters
| Parameter | Type | Description |
|---|---|---|
| $site | (int|string) | The site ID, The site domain |
| $post_ID | (int) | The post ID |
Query Parameters
| Parameter | Type | Description |
|---|---|---|
| http_envelope | (bool) |
|
| pretty | (bool) |
|
| callback | (string) | An optional JSONP callback function. |
Request Parameters
| Parameter | Type | Description |
|---|---|---|
| note | (string) | The reblog note |
Response Parameters
| Parameter | Type | Description |
|---|---|---|
| success | (bool) | Was the operation successful? |
| is_reblogged | (bool) | Has the user reblogged this post? |
| meta | (object) | Meta data |
Example
cURL
curl \ -H 'authorization: Bearer YOUR_API_TOKEN' \ --data-urlencode 'note=This post was really interesting' \ 'https://public-api.wordpress.com/rest/v1/sites/415/posts/1062/reblogs/new/'
PHP
<?php
$options = array (
'http' =>
array (
'ignore_errors' => true,
'method' => 'POST',
'header' =>
array (
0 => 'authorization: Bearer YOUR_API_TOKEN',
1 => 'Content-Type: application/x-www-form-urlencoded',
),
'content' => http_build_query(
array (
'note' => 'This post was really interesting',
)
),
),
);
$context = stream_context_create( $options );
$response = file_get_contents(
'https://public-api.wordpress.com/rest/v1/sites/415/posts/1062/reblogs/new/',
false,
$context
);
$response = json_decode( $response );
?>
Response Body
{
"success": true,
"is_reblogged": true,
"meta": {
"links": {
"help": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/415\/tags\/1062",
"post": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/415\/posts\/1269"
}
}
}